RK-A2 - Bug #3677

Respond with 204 (No Content) instead of 404.

07/22/2024 09:57 AM - Shubham Boke

Status: Review
Priority: Normal
Assignee: Md Shahzar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

07/22/2024

100%
0.20 hour
0.00 hour

Description

Some GCFs are responding with 404 status code when:
1. No data in DS is found
2. No file in gcs found

Bug: Status 404 will signify an error which will be logged in the chrome console even after handling it.
Fix: Responding with 204 instead will signal 'No Content' available at the requested resource without marking this scenarios as an

error.

List of GCFs with this bug:
1. get_file

2. set_questions_list

3. get_questions_list

4. get_question

History

#1 - 07/22/2024 10:13 AM - Shubham Boke

- Description updated

#2 - 07/22/2024 10:25 AM - Shubham Boke

- Description updated

#3 - 07/22/2024 10:27 AM - Shubham Boke

- Description updated

#4 - 07/22/2024 12:30 PM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.20 h

#5 - 07/24/2024 12:36 PM - Shubham Boke

- Status changed from New to In Progress

#6 - 08/29/2024 08:45 AM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#7 - 08/29/2024 08:45 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#8 - 08/29/2024 09:06 AM - Dewakar Chaubey
- Assignee changed from Dewakar Chaubey to Md Shahzar

04/02/2025
